import { setConfig } from './config';
import { setEnumMap } from './enum';
export const FormBuilderPlugin = {
    install: (_app, options) => {
        Object.entries(options.components ?? {}).forEach(([key, value]) => {
            setConfig(key, value);
        });
        Object.entries(options.enumMapper ?? {}).forEach(([key, value]) => {
            setEnumMap(key, value);
        });
    },
};
